All Apps and Add-ons

Will Splunk App for Auth0 ever support Splunk 7.x?

Motivator

We were able to run this app up to and including Splunk 6.5, but it stopped working on 6.6.

Does anyone still support this app or is it orphaned?

Communicator

A year and a half later and I've actually cracked this nut... you can "update" the app by replacing the Splunk SDK located here:
\etc\apps\splunk-auth0\bin\app\node_modules\splunk-sdk

With the latest Javascript version downloaded from:
http://dev.splunk.com/sdks

Once this has been updated the app should start working with the latest versions of Splunk. Make sure you restart Splunk.

0 Karma

New Member

I was able to get this running on 7.0.2 by navigating to the bin/app directory, running npm install and npm audit fix and then reuploading the app to my heavy forwarder.

0 Karma

Communicator

Hello @dgwhjj, I was curious how you managed to get this to work... I understand, I think, the directory you're talking about... in my case, with Windows, it's this folder within the app itself:

alt text

However I'm not entirely understanding your fix... are you installing a new/separate Node JS to this folder location? This almost makes sense to me because there is a node_modules folder there (it's the only other folder there actually) but I wouldn't think that updating this would make the necessary updates to server.js (which the app needs to run). The Node JS in Splunk is already updated, so I'm assuming you are some how updating Node JS within the Auth0 app?

0 Karma
Don’t Miss Global Splunk
User Groups Week!

Free LIVE events worldwide 2/8-2/12
Connect, learn, and collect rad prizes
and swag!